Bug 921970 (CVE-2013-1860) - CVE-2013-1860 kernel: usb: cdc-wdm buffer overflow triggered by device
Summary: CVE-2013-1860 kernel: usb: cdc-wdm buffer overflow triggered by device
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-1860
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 922000 922001 922002 922003 922004
Blocks: 921863
TreeView+ depends on / blocked
 
Reported: 2013-03-15 10:50 UTC by Petr Matousek
Modified: 2019-09-29 13:01 UTC (History)
24 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-04-19 18:54:57 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0829 normal SHIPPED_LIVE Important: kernel-rt security and bug fix update 2013-05-20 20:47:02 UTC
Red Hat Product Errata RHSA-2014:0328 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-03-25 18:29:54 UTC
Red Hat Product Errata RHSA-2014:0339 normal SHIPPED_LIVE Important: rhev-hypervisor6 security update 2014-03-31 20:37:26 UTC

Description Petr Matousek 2013-03-15 10:50:48 UTC
Linux kernel built with USB CDC WDM driver is vulnerable to heap buffer overflow flaw. 

An unprivileged local user could use this flaw to crash the kernel or, potentially, elevate their privileges.

Please note that a physical access to the system or plugging in random USB device is needed in order to exploit this bug.

Upstream fix:
-------------
 -> https://git.kernel.org/linus/c0f5ecee4e741667b2493c742b60b6218d40b3aa

Reference:
-----------
 -> http://www.openwall.com/lists/oss-security/2013/03/14/12

Comment 1 Prasad J Pandit 2013-03-15 11:15:31 UTC
Statement:

This issue does not affect the version of the kernel package as shipped with
Red Hat Enterprise Linux 5.

This issue affects the versions of Linux kernel as shipped with
Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2. Future kernel updates
for Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG 2 may address this
issue.

Comment 4 Prasad J Pandit 2013-03-15 11:27:04 UTC
Created kernel tracking bugs for this issue

Affects: fedora-all [bug 922004]

Comment 5 Fedora Update System 2013-03-19 20:06:19 UTC
kernel-3.8.3-203.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2013-03-22 00:18:23 UTC
kernel-3.8.3-103.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 errata-xmlrpc 2013-05-20 16:52:36 UTC
This issue has been addressed in following products:

  MRG for RHEL-6 v.2

Via RHSA-2013:0829 https://rhn.redhat.com/errata/RHSA-2013-0829.html

Comment 10 errata-xmlrpc 2014-03-31 16:38:42 UTC
This issue has been addressed in following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2014:0339 https://rhn.redhat.com/errata/RHSA-2014-0339.html

Comment 11 errata-xmlrpc 2014-04-01 08:21:39 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:0328 https://rhn.redhat.com/errata/RHSA-2014-0328.html


Note You need to log in before you can comment on or make changes to this bug.